[commit][3135] Fix line endings on a couple of scripts.

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[commit][3135] Fix line endings on a couple of scripts.

commits-3
 
Revision: 3135
Author:   eliot
Date:     2014-11-15 11:20:52 -0800 (Sat, 15 Nov 2014)
Log Message:
-----------
Fix line endings on a couple of scripts.  Oh the womders of internet file
transmission via email.  Sigh...

Modified Paths:
--------------
    branches/Cog/scripts/mkARMstackvmarchives
    branches/Cog/scripts/uploadARMvms

Modified: branches/Cog/scripts/mkARMstackvmarchives
===================================================================
--- branches/Cog/scripts/mkARMstackvmarchives 2014-11-15 18:33:53 UTC (rev 3134)
+++ branches/Cog/scripts/mkARMstackvmarchives 2014-11-15 19:20:52 UTC (rev 3135)
@@ -1,50 +1,50 @@
-#!/bin/sh
-# Create the ARM Stack VM archives in products.  Output a check of version numbers
-# etc to products/MASVALOG
-IFS="
-"
-
-case `uname -m` in
-   armv6* )  armarch="v6";;
-   armv7* )  armarch="v7";;
-        * )  echo "Error: this script is for ARM only."
-             exit 1;;
-esac
-
-cd `dirname $0`/../products
-SQB=squeak.stack.v3
-REV=
-TAG=
-EXES=
-
-while [ -n "$1" ]; do
- case $1 in
- -r) shift;REV="$1";;
- -t) shift;TAG="$1";;
- -?|-h)  echo usage: $0 [-r REV -t TAG]
- exit 0
- esac
- shift
-done
-
-test -n "$REV" || REV=`grep 'SvnRawRevisionString.*Rev:' ../platforms/Cross/vm/sqSCCSVersion.h \
- | sed 's/^.*Rev: \([0-9][0-9]*\) $";/\1/'`
-test -n "$TAG" || TAG=`date +%g.%U.`$REV
-echo REV=$REV TAG=$TAG
-
-for archive in stklinuxhtARM stkspurlinuxhtARM; do
- rm -rf $archive$armarch-$TAG.tgz
- echo $archive '=>' $archive$armarch-$TAG.tgz
- COPYFILE_DISABLE=1 tar czf $archive$armarch-$TAG.tgz $archive
- EXES="$EXES $archive/lib/squeak/[0-9.-]*/squeak"
-done
-
-for vm in $EXES
-do
- echo
- echo checking $vm version
-# strings - $vm | egrep '\$Rev: |Interp.*VMMaker|Cogit.*VMMaker| built on ' | grep -v 'Unix built on "__DATE__ " "__TIME__" Compiler: "__VERSION__' | sed 's/ uuid:.*//'
- strings - $vm | egrep '\$Rev: |Interp.*VMMaker|Cogit.*VMMaker| built on ' | sed 's/ uuid:.*//'
- echo checking $vm for asserts
- strings - $vm | grep "assert[^0-9]*[0-9][0-9][0-9]"
-done 2>&1 | tee MASVALOG
+#!/bin/sh
+# Create the ARM Stack VM archives in products.  Output a check of version numbers
+# etc to products/MASVALOG
+IFS="
+"
+
+case `uname -m` in
+   armv6* )  armarch="v6";;
+   armv7* )  armarch="v7";;
+        * )  echo "Error: this script is for ARM only."
+             exit 1;;
+esac
+
+cd `dirname $0`/../products
+SQB=squeak.stack.v3
+REV=
+TAG=
+EXES=
+
+while [ -n "$1" ]; do
+ case $1 in
+ -r) shift;REV="$1";;
+ -t) shift;TAG="$1";;
+ -?|-h)  echo usage: $0 [-r REV -t TAG]
+ exit 0
+ esac
+ shift
+done
+
+test -n "$REV" || REV=`grep 'SvnRawRevisionString.*Rev:' ../platforms/Cross/vm/sqSCCSVersion.h \
+ | sed 's/^.*Rev: \([0-9][0-9]*\) $";/\1/'`
+test -n "$TAG" || TAG=`date +%g.%U.`$REV
+echo REV=$REV TAG=$TAG
+
+for archive in stklinuxhtARM stkspurlinuxhtARM; do
+ rm -rf $archive$armarch-$TAG.tgz
+ echo $archive '=>' $archive$armarch-$TAG.tgz
+ COPYFILE_DISABLE=1 tar czf $archive$armarch-$TAG.tgz $archive
+ EXES="$EXES $archive/lib/squeak/[0-9.-]*/squeak"
+done
+
+for vm in $EXES
+do
+ echo
+ echo checking $vm version
+# strings - $vm | egrep '\$Rev: |Interp.*VMMaker|Cogit.*VMMaker| built on ' | grep -v 'Unix built on "__DATE__ " "__TIME__" Compiler: "__VERSION__' | sed 's/ uuid:.*//'
+ strings - $vm | egrep '\$Rev: |Interp.*VMMaker|Cogit.*VMMaker| built on ' | sed 's/ uuid:.*//'
+ echo checking $vm for asserts
+ strings - $vm | grep "assert[^0-9]*[0-9][0-9][0-9]"
+done 2>&1 | tee MASVALOG

Modified: branches/Cog/scripts/uploadARMvms
===================================================================
--- branches/Cog/scripts/uploadARMvms 2014-11-15 18:33:53 UTC (rev 3134)
+++ branches/Cog/scripts/uploadARMvms 2014-11-15 19:20:52 UTC (rev 3135)
@@ -1,61 +1,61 @@
-#!/bin/sh
-# Upload archives from products to a web/ftp site via ssh.
-RemoteUser=[hidden email]
-RemoteRoot=mirandabanda.org/files/Cog/VM
-IFS="
-"
-
-case `uname -m` in
-   armv6* )  ARMARCH="v6";;
-   armv7* )  ARMARCH="v7";;
-        * )  echo "Error: this script is for ARM only."
-             exit 1;;
-esac
-
-REV=
-TAG=
-cd `dirname $0`/../products
-VERBOSE=
-
-while [ -n "$1" ]; do
- case $1 in
- -r) shift;REV="$1";;
- -t) shift;TAG="$1";;
- -?|-h)  echo usage: $0 [-r REV -t TAG]; exit 0;;
- *) echo usage: $0 [-r REV -t TAG]; exit 1;;
- esac
- shift
-done
-
-if [ -z "$REV" ]; then
- REV="`svnversion .. | sed 's/^.*://'`"
- case $REV in
- *M) echo -n "source tree is modified, are you sure you want to continue? "
- read a
- case $a in
- y|Y) ;;
- *) exit 1
- esac
- REV="`svnversion | sed 's/^.*://' | sed 's/M//'`";;
- esac
-fi
-
-if [ -z "$TAG" ]; then
- TAG=`date +%g.%U.`$REV
-fi
-echo REV=$REV TAG=$TAG
-
-ARCHIVES="stklinuxhtARM$ARMARCH-$TAG.tgz stkspurlinuxhtARM$ARMARCH-$TAG.tgz"
-
-for a in $ARCHIVES; do
- echo upload $a
-done
-
-
-ssh -x $RemoteUser mkdir $RemoteRoot/VM.r$REV
-
-echo scp -p $ARCHIVES "$@" $RemoteUser:$RemoteRoot/VM.r$REV
-scp -p $ARCHIVES "$@" $RemoteUser:$RemoteRoot/VM.r$REV
-echo ssh $RemoteUser chmod a-w $RemoteRoot/VM.r$REV/* \\\; ls -al $RemoteRoot/VM.r$REV
-ssh $RemoteUser chmod a-w $RemoteRoot/VM.r$REV/* \; ls -al $RemoteRoot/VM.r$REV
-
+#!/bin/sh
+# Upload archives from products to a web/ftp site via ssh.
+RemoteUser=[hidden email]
+RemoteRoot=mirandabanda.org/files/Cog/VM
+IFS="
+"
+
+case `uname -m` in
+   armv6* )  ARMARCH="v6";;
+   armv7* )  ARMARCH="v7";;
+        * )  echo "Error: this script is for ARM only."
+             exit 1;;
+esac
+
+REV=
+TAG=
+cd `dirname $0`/../products
+VERBOSE=
+
+while [ -n "$1" ]; do
+ case $1 in
+ -r) shift;REV="$1";;
+ -t) shift;TAG="$1";;
+ -?|-h)  echo usage: $0 [-r REV -t TAG]; exit 0;;
+ *) echo usage: $0 [-r REV -t TAG]; exit 1;;
+ esac
+ shift
+done
+
+if [ -z "$REV" ]; then
+ REV="`svnversion .. | sed 's/^.*://'`"
+ case $REV in
+ *M) echo -n "source tree is modified, are you sure you want to continue? "
+ read a
+ case $a in
+ y|Y) ;;
+ *) exit 1
+ esac
+ REV="`svnversion | sed 's/^.*://' | sed 's/M//'`";;
+ esac
+fi
+
+if [ -z "$TAG" ]; then
+ TAG=`date +%g.%U.`$REV
+fi
+echo REV=$REV TAG=$TAG
+
+ARCHIVES="stklinuxhtARM$ARMARCH-$TAG.tgz stkspurlinuxhtARM$ARMARCH-$TAG.tgz"
+
+for a in $ARCHIVES; do
+ echo upload $a
+done
+
+
+ssh -x $RemoteUser mkdir $RemoteRoot/VM.r$REV
+
+echo scp -p $ARCHIVES "$@" $RemoteUser:$RemoteRoot/VM.r$REV
+scp -p $ARCHIVES "$@" $RemoteUser:$RemoteRoot/VM.r$REV
+echo ssh $RemoteUser chmod a-w $RemoteRoot/VM.r$REV/* \\\; ls -al $RemoteRoot/VM.r$REV
+ssh $RemoteUser chmod a-w $RemoteRoot/VM.r$REV/* \; ls -al $RemoteRoot/VM.r$REV
+